Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.core
Class SiteMapIterator

    java.lang.Object
      org.meshcms.core.SiteMapIterator

All Implemented Interfaces:
  java.util.Iterator

public class SiteMapIterator
extends java.lang.Object
implements java.util.Iterator

Iterator for the site map.

Constructor Summary
`SiteMapIterator(WebSite webSite)` Creates an iterator for the full site map of the given website.
`SiteMapIterator(WebSite webSite, Path root)` Creates an iterator for the full a submap of the given website, starting from the specified root path.

Method Summary
`PageInfo` | `getNextPage()` Returns the next page (same as `next()`, but returns null when there are no more pages.
`boolean` | `hasNext()`
`boolean` | `isSkipHiddenSubPages()`
`java.lang.Object` | `next()`
`void` | `remove()`
`void` | `setSkipHiddenSubPages(boolean skipHiddenSubPages)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteMapIterator

    public SiteMapIterator(WebSite webSite)

  Creates an iterator for the full site map of the given website.

### SiteMapIterator

    public SiteMapIterator(WebSite webSite,
                           Path root)

  Creates an iterator for the full a submap of the given website, starting from the specified root path.

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### getNextPage

    public PageInfo getNextPage()

  Returns the next page (same as `next()`, but returns null when there are no more pages.

### isSkipHiddenSubPages

    public boolean isSkipHiddenSubPages()

### setSkipHiddenSubPages

    public void setSkipHiddenSubPages(boolean skipHiddenSubPages)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD